// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "DawnVitaHost.hpp"

using namespace Dawn;

DawnVitaHost::DawnVitaHost() {

}

DawnVitaInitResult DawnVitaHost::init() {
  return DawnVitaInitResult::SUCCESS;
}

void DawnVitaHost::start() {

	std::stringstream output;
	std::vector<std::string> hello = { "Hello" };
	hello.push_back(",");
	hello.push_back(" C++ ");
	hello.push_back("world!");
	for (auto &s : hello) {
		// std::cout does't work ATM :(
		output << s;
	}
	output << std::endl;
	psvDebugScreenInit();
	printf("%s\n", output.str().c_str());
	sceKernelDelayThread(3*1000000); // Wait for 3 seconds
	sceKernelExitProcess(0);
}

DawnVitaHost::~DawnVitaHost() {

}